**Source URL:** https://limited.veevavault.dev/quality/vault-api/api-reference/26.2/haccp/retrieve-haccp-plan-translatable-fields.md

# Retrieve HACCP Plan Translatable Fields



After running [Export HACCP Plan Translatable Fields](/quality/vault-api/api-reference/26.2/haccp/export-haccp-plan-translatable-fields), use this endpoint to retrieve the exported field data.

Before submitting this request:

* The target *HACCP Plan* must have an associated *HACCP Translation Generation* record in the *Export Complete* lifecycle state.

* The user who submits this request must be the same user who invoked the [Export HACCP Plan Translatable Fields](/quality/vault-api/api-reference/26.2/haccp/export-haccp-plan-translatable-fields) API.

<Endpoint path="/api/{version}/app/quality/haccp_plan/{haccp_plan_record_id}/translatable_fields/file" method="GET"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{haccp_plan_record_id}` | The *ID* field value for the *HACCP Plan* record you wish to translate. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -L 'https://myvault.veevavault.com/api/v25.3/app/quality/haccp_plan/VY7000000003002/translatable_fields/file' \
-H 'Authorization: {AUTH_VALUE}' \
-H 'Accept: application/json'

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
[
    {
        "object_name": "haccp_plan__v",
        "field_metadata": [
            {
                "name": "name__v",
                "type": "String",
                "max_length": 128
            },

            {
                "name": "title__v",
                "type": "String",
                "max_length": 250
            }
        ],
        "language": "es",
        "records": [
            {
                "id": "VY7000000003002",
                "md5checksum": "af3b2c64b07ee3bd69cc27136cae4888",
                "fields": {
                    "name__v": "HACCP Plan for Veeva Ice Cream",
                    "comparison_id__v": "231196_VY7000000003001",
                    "external_id__v": null,
                    "description__v": null,
                    "title__v": null
                }
            }
        ]
    },
    {
        "object_name": "haccp_plan_process_step__v",
        "field_metadata": [
            {
                "name": "comparison_id__v",
                "type": "String",
                "max_length": 200
            },

            {
                "name": "connector_name__v",
                "type": "String",
                "max_length": 1500
            }
        ],
        "language": "es",
        "records": [
            {
                "id": "VY9000000006001",
                "md5checksum": "d19911eea01232ce909aaafe923b456e",
                "fields": {
                    "comparison_id__v": "231196_VY9000000005004",
                    "external_id__v": null,
                    "code__v": null,
                    "description__v": "Store ingredients",
                    "step_name__v": null,
                    "connector_name__v": null
                }
            }
        ]
    },
    {
        "object_name": "haccp_plan_process_step_connection__v",
        "field_metadata": [
            {
                "name": "comparison_id__v",
                "type": "String",
                "max_length": 200
            },
            {
                "name": "label__v",
                "type": "String",
                "max_length": 150
            }
        ],
        "language": "es",
        "records": [
            {
                "id": "VYI000000002001",
                "md5checksum": "fbee4815d4e27c4e04e0150373582662",
                "fields": {
                    "comparison_id__v": "231196_VYI000000001003",
                    "label__v": null
                }
            }        ]
    },
    {
        "object_name": "haccp_plan_process_step_position__v",
        "field_metadata": [
            {
                "name": "comparison_id__v",
                "type": "String",
                "max_length": 200
            }
        ],
        "language": "es",
        "records": [
            {
                "id": "VYJ000000005001",
                "md5checksum": "3978f09db85ca142492cd9658afb94f2",
                "fields": {
                    "comparison_id__v": "231196_VYJ000000004001"
                }
            }        ]
    },
    {
        "object_name": "process_hazard_analysis__v",
        "field_metadata": [
            {
                "name": "justification__v",
                "type": "String",
                "max_length": 1500
            },
                       {
                "name": "preventive_control_justification__v",
                "type": "String",
                "max_length": 1500
            }
        ],
        "language": "es",
        "records": [
            {
                "id": "VYB000000004001",
                "md5checksum": "8b8f59c7a7d544e4952fdf53e8e36d0f",
                "fields": {
                    "justification__v": null,
                    "justification_q3__v": null,
                    "comparison_id__v": "231196_VYB000000003001",
                    "justification_q4__v": null,
                    "description__v": "Growth of vegetative bacteria during storage",
                    "control_measure__v": null,
                    "hazard_classification_desc__v": null,
                    "justification_q1__v": null,
                    "scenario_options__v": null,
                    "vendor_site_name_number__v": null,
                    "external_id__v": null,
                    "justification_q2__v": null,
                    "preventive_control_justification__v": null
                }
            }
        ]
    },
    {
        "object_name": "haccp_hazard_control__v",
        "field_metadata": [
            {
                "name": "monitoring_what__v",
                "type": "String",
                "max_length": 250
            },
            {
                "name": "monitoring_how__v",
                "type": "String",
                "max_length": 250
            }
        ],
        "language": "es",
        "records": [
            {
                "id": "VYE000000002001",
                "md5checksum": "96f3d92dbf0f10aa8eedbe0e784dde22",
                "fields": {
                    "monitoring_what__v": null,
                    "validation_action__v": null,
                    "action_criteria__v": null,
                    "verification_record__v": null,
                    "comparison_id__v": "231196_VYE000000001001",

                    "external_id__v": null,
                    "monitoring_action__v": "Check temperature with sanitized thermometer",

                    "monitoring_how__v": null
                }
            }
        ]
    }
]

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, Vault returns all translatable fields and their values from the target *HACCP Plan* and its related records. The returned JSON response can be downloaded into a file and includes the following information:

<FieldTable>
| Name | Description |
| --- | --- |
| `object_name` | The name of the *HACCP Plan* related object. |
| `field_metadata` | Includes metadata from translatable fields, including the `name`, `type`, and `max_length`. |
| `name` | The exported field's API name. |
| `type` | The following field types on the target *HACCP Plan* are included: *Text* (Metadata return type = `String`), *Long Text* (Metadata return type  = `LongText`), and *Rich Text* (Metadata return type = `RichText`) |
| `max_length` | The maximum length of a text field. |
| `language` | The language code of the target *HACCP Plan*. |
| `records` | Includes information about the record, including `id`, `md5checksum`, and `fields`. |
| `id` | The *ID* field value of the record to which the translatable fields belong. |
| `md5checksum` | Validates that the translation file references the correct *HACCP Plan*. |
| `fields` | The translatable fields on the target record. |
</FieldTable>
Replace the untranslated field values in the file with translated values and do not modify anything else in the file. The data structure in the file must be intact in order to successfully [Import HACCP Plan Translatable Fields](/quality/vault-api/api-reference/26.2/haccp/import-haccp-plan-translatable-fields).



---

**Previous:** [Export HACCP Plan Translatable Fields](/quality/vault-api/api-reference/26.2/haccp/export-haccp-plan-translatable-fields)  
**Next:** [Import HACCP Plan Translatable Fields](/quality/vault-api/api-reference/26.2/haccp/import-haccp-plan-translatable-fields)